@echo off
setlocal enabledelayedexpansion
setlocal

for %%i in ("%~dp0..") do set "AGENT_HOME=%%~fi"

echo %AGENT_HOME%
if "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
    set "AGENT_BIN_HOME=%AGENT_HOME%\bin\win64"
) else (
    echo ***************************************
    echo ***************************************
    echo ***************************************
    echo.
    echo Agent supports 64-bit architecture only
    echo.
    echo ***************************************
    echo ***************************************
    echo ***************************************

    pause
    exit /b 1
)

set "DATABASE=%AGENT_HOME%\db"

set "YAML=%AGENT_HOME%\etc\agent.yaml"

set "LOGS=%AGENT_HOME%\logs"

for /f "delims=" %%x in ('dir /od /b "%AGENT_BIN_HOME%\agent-windows*.exe"') do set "EXE=%%x"

for /F "tokens=1* delims==" %%A in ('type "%AGENT_HOME%\conf\config.txt"') do (
    if "%%A" == "token" set "TOKEN=%%B"
)
If NOT "%TOKEN%"=="%TOKEN:put_the_token_here=%" (
    echo Missing 'token' in config.txt
    pause
    exit /b 1
)

echo Note: to run in the background, install and start as a service
echo;
echo To do that:
echo - run 'service-start.bat' to install and auto-start
echo - run 'service-stop.bat' to stop
echo;
echo Starting agent...(leave this window open)

%AGENT_BIN_HOME%\%EXE% service -t  %TOKEN% -c %YAML% -d %DATABASE% >%LOGS%\log.txt 2>&1

endlocal